package com.heyu.api.baidu.handle.certificate;


import com.heyu.api.data.annotation.CustomPath;
import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.certificate.BOverseasPassportRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740308634888#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8D%A1%E8%AF%81OCR&api=rest%2F2.0%2Focr%2Fv1%2Foverseas_passport&method=post
 * <p>
 * <p>
 * 护照识别（港澳台地区及境外）
 */
@Component
@Slf4j
@CustomPath("overseasPassport")
public class BOverseasPassportHandle extends BaiduBaseHandle<BOverseasPassportRequest, Map> {


    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/overseas_passport";
    }

    @Override
    public String check(BOverseasPassportRequest aOverseasPassportRequest) {
        return checkPdf(aOverseasPassportRequest);
    }

    @Override
    public String getContent(BOverseasPassportRequest aOverseasPassportRequest) {
        return getPdfContent(aOverseasPassportRequest).toString();
    }
}
